<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imcomplement</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imadd.html">&lt;&lt; imadd</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdivide.html">imdivide &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a> &gt; imcomplement</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imcomplement</h1>
    <p class="refpurpose">Complement image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imcomplement</span><span class="default">(</span><span class="default">im</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">Input image.</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">The complement image, which has the same size and class with im .</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imcomplement computes the complement image of im. In the output image imout, dark pixels become lighter and light pixels become darker.</p>
   <p class="para">Supported classes: BOOLEAN, INT8, UINT8, INT16, UINT16, INT32, DOUBLE.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabconstants">%F</span><span class="scilabdefault">,</span> <span class="scilabconstants">%T</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">imcomplement</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span>

<span class="scilabid">im</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://uint8">uint8</a><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span> <span class="scilabnumber">50</span><span class="scilabdefault">,</span> <span class="scilabnumber">100</span><span class="scilabdefault">;</span> <span class="scilabnumber">150</span><span class="scilabdefault">,</span> <span class="scilabnumber">200</span><span class="scilabdefault">,</span> <span class="scilabnumber">250</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imcomplement</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span>

<span class="scilabid">im</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://int8">int8</a><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilaboperator">-</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span> <span class="scilaboperator">-</span><span class="scilabnumber">50</span><span class="scilabdefault">,</span> <span class="scilabnumber">0</span><span class="scilabdefault">;</span> <span class="scilabnumber">50</span><span class="scilabdefault">,</span> <span class="scilabnumber">100</span><span class="scilabdefault">,</span> <span class="scilabnumber">150</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imcomplement</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span>

<span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.2</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.4</span><span class="scilabdefault">;</span> <span class="scilabnumber">0.6</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.8</span><span class="scilabdefault">,</span> <span class="scilabnumber">1.0</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">imcomplement</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imabsdiff.html" class="link">imabsdiff</a></li>
   <li class="member"><a href="imadd.html" class="link">imadd</a></li>
   <li class="member"><a href="imsubtract.html" class="link">imsubtract</a></li>
   <li class="member"><a href="immultiply.html" class="link">immultiply</a></li>
   <li class="member"><a href="imdivide.html" class="link">imdivide</a></li>
   <li class="member"><a href="imlincomb.html" class="link">imlincomb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imadd.html">&lt;&lt; imadd</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdivide.html">imdivide &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
